org.apache.ignite.internal.processors.cache.distributed.dht.atomic

## Class GridNearAtomicAbstractSingleUpdateRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractUpdateRequest
    - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractSingleUpdateRequest

All Implemented Interfaces:
  Serializable, GridCacheDeployable, Message

Direct Known Subclasses:
  GridNearAtomicSingleUpdateRequest

    public abstract class GridNearAtomicAbstractSingleUpdateRequest
    extends GridNearAtomicAbstractUpdateRequest

See Also:
  Serialized Form

### Field Summary

Fields
`protected byte` `flags` Compressed boolean flags.
`protected GridCacheVersion` `futVer` Future version.
`protected UUID` `nodeId` Target node ID.
`protected GridCacheOperation` `op` Update operation.
`protected UUID` `subjId` Subject ID.
`protected CacheWriteSynchronizationMode` `syncMode` Write synchronization mode.
`protected int` `taskNameHash` Task name hash.
`protected AffinityTopologyVersion` `topVer` Topology version.

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractUpdateRequest

`CACHE_MSG_IDX`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, cacheId, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Constructor Summary

Constructors
`protected` `GridNearAtomicAbstractSingleUpdateRequest()` Empty constructor required by `Externalizable`.

`protected`

`GridNearAtomicAbstractSingleUpdateRequest(int cacheId, UUID nodeId, GridCacheVersion futVer, boolean fastMap, GridCacheVersion updateVer, AffinityTopologyVersion topVer, boolean topLocked, CacheWriteSynchronizationMode syncMode, GridCacheOperation op, boolean retval, UUID subjId, int taskNameHash, boolean skipStore, boolean keepBinary, boolean clientReq, boolean addDepInfo)`
Constructor.

### Method Summary

Methods
`boolean` `addDeploymentInfo()` Deployment enabled flag indicates whether deployment info has to be added to this message.
`boolean` `clientRequest()`
`void` `clientRequest(boolean val)` Sets clientRequest flag value.
`javax.cache.expiry.ExpiryPolicy` `expiry()`
`boolean` `fastMap()`
`void` `fastMap(boolean val)` Sets fastMap flag value.
`byte` `fieldsCount()` Gets fields count.
`CacheEntryPredicate[]` `filter()`
`GridCacheVersion` `futureVersion()`
`boolean` `hasPrimary()`
`void` `hasPrimary(boolean val)` Sets hasPrimary flag value.
`Object[]` `invokeArguments()`
`boolean` `keepBinary()`
`void` `keepBinary(boolean val)` Sets keepBinary flag value.
`int` `lookupIndex()` Gets message lookup index.
`IgniteLogger` `messageLogger(GridCacheSharedContext ctx)`
`UUID` `nodeId()`
`void` `nodeId(UUID nodeId)`
`boolean` `onResponse(GridNearAtomicUpdateResponse res)`
`GridCacheOperation` `operation()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`GridNearAtomicUpdateResponse` `response()`
`boolean` `returnValue()`
`void` `returnValue(boolean val)` Sets returnValue flag value.
`boolean` `skipStore()`
`void` `skipStore(boolean val)` Sets skipStore flag value.
`UUID` `subjectId()`
`int` `taskNameHash()`
`boolean` `topologyLocked()`
`void` `topologyLocked(boolean val)` Sets topologyLocked flag value.
`AffinityTopologyVersion` `topologyVersion()` Gets topology version or -1 in case of topology version is not required for this message.
`GridCacheVersion` `updateVersion()`
`CacheWriteSynchronizationMode` `writeSynchronizationMode()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractUpdateRequest

`addUpdateEntry, cleanup, conflictExpireTime, conflictTtl, conflictVersion, conflictVersions, entryProcessor, key, keys, size, value, values, writeValue`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`cacheId, cacheId, classError, deployInfo, error, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onAckReceived, onClassError, partition, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, toString, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType`

### Field Detail

#### nodeId

    protected UUID nodeId

Target node ID.

#### futVer

    protected GridCacheVersion futVer

Future version.

#### topVer

    protected AffinityTopologyVersion topVer

Topology version.

#### syncMode

    protected CacheWriteSynchronizationMode syncMode

Write synchronization mode.

#### op

    protected GridCacheOperation op

Update operation.

#### subjId

    protected UUID subjId

Subject ID.

#### taskNameHash

    protected int taskNameHash

Task name hash.

#### flags

    protected byte flags

Compressed boolean flags.

### Constructor Detail

#### GridNearAtomicAbstractSingleUpdateRequest

    protected GridNearAtomicAbstractSingleUpdateRequest()

Empty constructor required by `Externalizable`.

#### GridNearAtomicAbstractSingleUpdateRequest

    protected GridNearAtomicAbstractSingleUpdateRequest(int cacheId,
                                             UUID nodeId,
                                             GridCacheVersion futVer,
                                             boolean fastMap,
                                             @Nullable
                                             GridCacheVersion updateVer,
                                             @NotNull
                                             AffinityTopologyVersion topVer,
                                             boolean topLocked,
                                             CacheWriteSynchronizationMode syncMode,
                                             GridCacheOperation op,
                                             boolean retval,
                                             @Nullable
                                             UUID subjId,
                                             int taskNameHash,
                                             boolean skipStore,
                                             boolean keepBinary,
                                             boolean clientReq,
                                             boolean addDepInfo)

Constructor.

Parameters:
  `cacheId` - Cache ID.
  `nodeId` - Node ID.
  `futVer` - Future version.
  `fastMap` - Fast map scheme flag.
  `updateVer` - Update version set if fast map is performed.
  `topVer` - Topology version.
  `topLocked` - Topology locked flag.
  `syncMode` - Synchronization mode.
  `op` - Cache update operation.
  `retval` - Return value required flag.
  `subjId` - Subject ID.
  `taskNameHash` - Task name hash code.
  `skipStore` - Skip write-through to a persistent storage.
  `keepBinary` - Keep binary flag.
  `clientReq` - Client node request flag.
  `addDepInfo` - Deployment info flag.

### Method Detail

#### lookupIndex

    public int lookupIndex()

Gets message lookup index. All messages that does not return -1 in this method must return a unique number in range from 0 to `GridCacheMessage.MAX_CACHE_MSG_LOOKUP_INDEX`.

Overrides:
  `lookupIndex` in class `GridCacheMessage`
Returns:
  Message lookup index.

#### nodeId

    public UUID nodeId()

Specified by:
  `nodeId` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Mapped node ID.

#### nodeId

    public void nodeId(UUID nodeId)

Specified by:
  `nodeId` in class `GridNearAtomicAbstractUpdateRequest`
Parameters:
  `nodeId` - Node ID.

#### subjectId

    public UUID subjectId()

Specified by:
  `subjectId` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Subject ID.

#### taskNameHash

    public int taskNameHash()

Specified by:
  `taskNameHash` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Task name hash.

#### futureVersion

    public GridCacheVersion futureVersion()

Specified by:
  `futureVersion` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Future version.

#### updateVersion

    public GridCacheVersion updateVersion()

Specified by:
  `updateVersion` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Update version for fast-map request.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Description copied from class: `GridCacheMessage`
Gets topology version or -1 in case of topology version is not required for this message.

Overrides:
  `topologyVersion` in class `GridCacheMessage`
Returns:
  Topology version.

#### writeSynchronizationMode

    public CacheWriteSynchronizationMode writeSynchronizationMode()

Specified by:
  `writeSynchronizationMode` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Cache write synchronization mode.

#### expiry

    public javax.cache.expiry.ExpiryPolicy expiry()

Specified by:
  `expiry` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Expiry policy.

#### operation

    public GridCacheOperation operation()

Specified by:
  `operation` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Update operation.

#### invokeArguments

    @Nullable
    public Object[] invokeArguments()

Specified by:
  `invokeArguments` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Optional arguments for entry processor.

#### onResponse

    public boolean onResponse(GridNearAtomicUpdateResponse res)

Specified by:
  `onResponse` in class `GridNearAtomicAbstractUpdateRequest`
Parameters:
  `res` - Response.
Returns:
  `True` if current response was `null`.

#### response

    @Nullable
    public GridNearAtomicUpdateResponse response()

Specified by:
  `response` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Response.

#### addDeploymentInfo

    public boolean addDeploymentInfo()

Deployment enabled flag indicates whether deployment info has to be added to this message.

Specified by:
  `addDeploymentInfo` in class `GridCacheMessage`
Returns:
  `true` or if deployment info must be added to the the message, `false` otherwise.

#### messageLogger

    public IgniteLogger messageLogger(GridCacheSharedContext ctx)

Overrides:
  `messageLogger` in class `GridCacheMessage`
Parameters:
  `ctx` - Context.
Returns:
  Logger.

#### fastMap

    public boolean fastMap()

Specified by:
  `fastMap` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Flag indicating whether this is fast-map udpate.

#### fastMap

    public void fastMap(boolean val)

Sets fastMap flag value.

#### topologyLocked

    public boolean topologyLocked()

Specified by:
  `topologyLocked` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Topology locked flag.

#### topologyLocked

    public void topologyLocked(boolean val)

Sets topologyLocked flag value.

#### clientRequest

    public boolean clientRequest()

Specified by:
  `clientRequest` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  `True` if request sent from client node.

#### clientRequest

    public void clientRequest(boolean val)

Sets clientRequest flag value.

#### returnValue

    public boolean returnValue()

Specified by:
  `returnValue` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Return value flag.

#### returnValue

    public void returnValue(boolean val)

Sets returnValue flag value.

#### skipStore

    public boolean skipStore()

Specified by:
  `skipStore` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Skip write-through to a persistent storage.

#### skipStore

    public void skipStore(boolean val)

Sets skipStore flag value.

#### keepBinary

    public boolean keepBinary()

Specified by:
  `keepBinary` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Keep binary flag.

#### keepBinary

    public void keepBinary(boolean val)

Sets keepBinary flag value.

#### hasPrimary

    public boolean hasPrimary()

Specified by:
  `hasPrimary` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Flag indicating whether this request contains primary keys.

#### hasPrimary

    public void hasPrimary(boolean val)

Sets hasPrimary flag value.

#### filter

    @Nullable
    public CacheEntryPredicate[] filter()

Specified by:
  `filter` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Filter.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridCacheMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridCacheMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Returns:
  Fields count.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017